"""
    ZStyleSheet Zope Management Interface Style Sheet Patch
    =========== ==== ========== ========= ===== ===== =====

    The patch adds add ZStyleSheet to the root of your Zope
    with its contents set to the contents of the standard
    manage_page_style.css and points the ZMI at it.
    Everything can then be modified using the ZSS interface.
"""
__version__ = '4.1.0'

import App
import string
import Globals

def performPatch(app):
    """ Patch navigation to use the new manage_page_style.css """
    try:
        from Products.ZStyleSheet.ZStyleSheet import ZStyleSheet
        if hasattr(App.Management.Navigation, 'manage_page_style.css'):
            css = getattr(App.Management.Navigation, 'manage_page_style.css')
            setattr(App.Management.Navigation, 'manage_page_style_orig', css)
            delattr(App.Management.Navigation, 'manage_page_style.css')
            delattr(App.Management.Navigation, 'manage_page_style.css__roles__')
        else:
            css = getattr(App.Management.Navigation, 'manage_page_style_orig')
        if not hasattr(app, 'manage_page_style.css'):
            zss = ZStyleSheet('manage_page_style.css', 'Zope Management Interface Style Sheet')
            app._setObject(zss.id, zss)
            zss.manage_importCSS(file = css(app, zmi_embedded_css=1))
            for item in zss._properties:
                if item['id'] == 'linkstyle':
                    zss.linkstyle = zss.linkStyleList[2]
                    item['mode'] = ''
        Globals.default__class_init__(App.Management.Navigation)
    except:
        raise
